Bug 121788 - LTC7950-Red Hat Install on LPAR using Tape Drive
LTC7950-Red Hat Install on LPAR using Tape Drive
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: s390utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 16:41 EDT by Bill Goodrich
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 09:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Goodrich 2004-04-27 16:41:49 EDT
The following has be reported by IBM LTC:  
Red Hat Install on LPAR using Tape DriveHardware Environment: z990

Software Environment: RHEL 3 U2

Steps to Reproduce:

Attach a tape drive to your VM id & insert a tape from  VM system:

ftp petlnx04
cd /private/redhat/31/rhel-3/U2-beta2/install/images
locsite fix 1024
bin
get tape0 tape0.redhat.a
get kernel.img kernel.redhat.a
get generic.prm parmfile.redhat.a
get initrd.img initrd.redhat.a
quit

Stick this in a file:
/* REXX */
�REWIND 181�
�FILEDEF IN1 DISK� TAPE0 REDHAT A
�FILEDEF IN2 DISK� KERNEL REDHAT A
�FILEDEF IN3 DISK� PARMFILE REDHAT A
�FILEDEF IN3 DISK� INITRD REDHAT A
�FILEDEF OUT TAP1 (RECFM F BLOCK 1024 LRECL 1024 PERM�
say �Writing: � left(file1,23)
�MOVEFILE IN1 OUT�
say �Writing: � left(file2,23)
�MOVEFILE IN2 OUT�
say �Writing: � left(file3,23)
�MOVEFILE IN3 OUT�
say �Writing: � left(file4,23)
�MOVEFILE IN4 OUT�
say �Done.�
�REWIND 181�
exit

Actual Results: IPL tape device, receive load from tape failed, see
hardware 
messages. No hardware messages logged on the HMC.

Expected Results: Tape boots

Additional Information: Same thing happen under VM:

I 181 CL

CP I 181 CL                                                            
HCPVMJ232E IPL UNIT ERROR; IRB 01404417 00000010 00200000 00800000     
HCPGIR450W CP entered; disabled wait PSW 000E0000 00000232
Comment 1 Brock Organ 2004-04-27 18:28:29 EDT
should part of the REXX script be changed?

> �FILEDEF IN2 DISK� KERNEL REDHAT A
> �FILEDEF IN3 DISK� PARMFILE REDHAT A
> �FILEDEF IN3 DISK� INITRD REDHAT A

to:

�FILEDEF IN4 DISK� INITRD REDHAT A

(I am wondering if the parmfile got written twice by accident in your
tests :) )
Comment 2 Frank LeFevre 2004-04-29 09:30:56 EDT
Hi Brock, 
Here's the response from Duane and Desh who are doing the testing. 
Would not have mattered, tape0 was the file that needed to load to 
IPL the system. It never loaded tape0 so I did not matter what files 
2 3 and 4 were. However, I can assure you that all 4 files were on 
the tape.  We read back the tape a number of times and verified the 
content.
Comment 3 Brock Organ 2004-04-30 16:53:15 EDT
I've verified the behavior here in our internal test environment ...
in trying to isolate the issue further, I've found that our 7.2 tape
kernel doesn't boot in the same test environment, but has a different
error (without the unit error line) than above:

> 00: CP IPL 0181
> 00: HCPGIR450W CP entered; disabled wait PSW 000A0000 00000000
Comment 12 Phil Knirsch 2004-06-17 09:53:10 EDT
OK, problem has been reproduced here and fixed.

The next releases of the s390utils package will contain the fix.

Read ya, Phil
Comment 14 Brock Organ 2004-06-25 13:05:43 EDT
verified fix with s390utils-1.2.4-5 on both s390 & s390x U2 installer
images using the following command sequences to write to tape:

> # modprobe tape390
> # mt -f /dev/ntibm0 rewind
> # dd if=/boot/tape0 of=/dev/ntibm0 bs=1024
> # dd if=RHEL3-U2/s390-as/images/kernel.img of=/dev/ntibm0 bs=1024
> # dd if=RHEL3-U2/s390-as/images/generic.prm of=/dev/ntibm0 bs=1024
> # dd if=RHEL3-U2/s390-as/images/initrd.img of=/dev/ntibm0 bs=1024
> # mt -f /dev/ntibm0 rewind

Comment 15 Bill Goodrich 2004-07-07 11:02:59 EDT
The highest level of s390utils on RHN is 1.2.4-3 when will 1.2.4-5 be
available? 
Comment 17 Bill Goodrich 2004-08-11 09:37:15 EDT
This works with U3.
Comment 18 Jay Turner 2004-09-01 22:24:15 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-258.html

Note You need to log in before you can comment on or make changes to this bug.